ActiveAdmin.register C80Brands::Bbrand, as: 'Bbrand' do

  config.per_page = 100

  menu :label => 'Бренды'

  permit_params :title,
                :icon,
                :short,
                :full

  batch_action :destroy, false

  config.sort_order = 'id_asc'

  before_filter :skip_sidebar!, :only => :index

  index do
    selectable_column
    column :title
    # column :short
    column :icon do |bbrand|
      if bbrand.icon.present?
        link_to image_tag(bbrand.icon.thumb_lg), bbrand.icon.url, target: '_blank'
      end
    end
    actions
  end

  form(:html => {:multipart => true}) do |f|

    f.inputs 'Свойства' do

      f.input :title
      f.input :icon,
              :as => :file,
              :hint => image_tag(f.object.icon.thumb_md)

      # f.input :short
      # f.input :full, :as => :ckeditor, input_html: {:ckeditor => {:height => 410}}
    end
    f.actions

  end


end