require 'babosa'

module C80Brands
  class Bbrand < ActiveRecord::Base
    mount_uploader :icon, BbrandsIconUploader

    default_scope {order(:created_at => :desc)}

    extend FriendlyId
    friendly_id :title, use: :slugged
    def normalize_friendly_id(input)
      input.to_s.to_slug.normalize(transliterations: :russian).to_s
    end

    def slug_candidates
      [:title] + Array.new(6) {|index| [:title, index+2]}
    end

  end
end